[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenuItem.GetAction

Gets the value for the Action property.

## Declaration

Source position: menus.pp line 234

`protected function TMenuItem.GetAction: TBasicAction;`

## Function result

Value for the property.

## Description

The value for the property is read from the ActionLink property (when assigned). The property value is Nil when a TMenuActionLink instance has not been assigned to ActionLink.

## See also

TMenuItem.Action |  | Action is the default action associated with the menu item.
TMenuItem.ActionLink |  | Contains the link to the Action for the menu item.
TMenuActionLink |  | TMenuActionLink: defines the link between a selected menu item and its corresponding action.